﻿@using InternetShopWebProject.DAL.UnitOfWork;
@{
    var TypeCategoryModel = DependencyResolver.Current.GetService<CategoryTypeUoW>().GetCategotyType();
}

@foreach (var item in TypeCategoryModel.Types)
{
    <li class="">
        <div class="btn-group">
            @Html.ActionLink(item.Name, "Index", "Home",
                new { typeId = item.Id },
                new { @class = "btn btn-link", style = "text-align:left; color:black" }
                )
            <button type="button" class="btn btn-link dropdown-toggle"
                    id="id@(item.Id)" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false" data-reference="parent"></button>
            <div class="dropdown-menu" aria-labelledby="id@(item.Id)">
                @foreach (var c in TypeCategoryModel.Categories)
                {
                    @Html.ActionLink(
                          c.Name,
                          "Index",
                          "Home",
                          new { typeId = item.Id, categoryId = c.Id },
                          new
                               {
                            @class = "btn-outline-light btn-link dropdown-item",
                            style = "width:100%; cursor:pointer; "
                          })
                }
            </div>
        </div>
    </li>
}